28.03.2008 08:27    

faithfoxy
öncelikle selamlar. ben autocad üzerinde vb kodu yazıyorum(yazmaya çalışıyorum). doğru yerde miyim bilmiyorum. bu konuda nerden yardım alabilirim.elimde yazdığım bir iki şey var ama çalışmıyorlar.
bir de yazdığım bir kodu ya da makroyu nasıl projemle birlikte çalıştırıırm

Dim objLine As New clsObjectEvent
Public Sub InitializeEvent()
Dim dblStart(2) As Double
Dim dblEnd(2) As Double
dblEnd(0) = 1: dblEnd(1) = 1: dblEnd(2) = 0
Set objLine.objLine = ThisDrawing.ModelSpace.AddLine(dblStart, dblEnd)
End Sub

Dim objLine As New clsObjectEvent
Public Sub InitializeEvent()
Dim dblStart(2) As Double
Dim dblEnd(2) As Double
dblEnd(0) = 1: dblEnd(1) = 1: dblEnd(2) = 0
Set objLine.objLine = ThisDrawing.ModelSpace.AddLine(dblStart, dblEnd)
End Sub

Private Sub objLine_Modified(ByVal pObject As AutoCAD.IAcadObject)
Dim varStartPoint As Variant
Dim varEndPoint As Variant
varStartPoint = pObject.StartPoint
varEndPoint = pObject.EndPoint
MsgBox "New line runs from (" & varStartPoint(0) & ", " & _
varStartPoint(1) & ", " & varStartPoint(2) & " ) to (" & _
varEndPoint(0) & ", " & varEndPoint(1) & ", " & varEndPoint(2) & ")."
End Sub

bı kod bloğu neden çalışmıyor çözemedim.
iyi gunler

faithfoxy (28.03.2008 08:45 GMT)

28.03.2008 14:44    

biolight
Merhaba,

Kodlarından tam olarak ne yapmak istediğini anlayamadım ama
VBA ile başlangıç noktası 0,0,0 bitiş noktası 1,1,0 olan bir Line çizmek istiyorsanız

Kodlarınız da biraz düzenleme yaptım
Kod:

Sub InitializeEvent()
Dim objLine As AcadLine
Dim dblStart(0 To 2) As Double
Dim dblEnd(0 To 2) As Double

dblStart(0) = 0: dblStart(1) = 0: dblStart(2) = 0
dblEnd(0) = 1: dblEnd(1) = 1: dblEnd(2) = 0

Set objLine = ThisDrawing.ModelSpace.AddLine(dblStart, dblEnd)
End Sub


Kodların nereye yazılacağı ve bu kodların nasıl çalıştırılacağını
http://biocad.blogspot.com/2007/09/giri.html linkin de inceleyebilirsiniz.

Kolay gelsin.

> 1 <
Copyright © 2004-2022 SQL: 0.618 saniye - Sorgu: 51 - Ortalama: 0.01211 saniye